Folks.AntiLinkable – folks Reference Manual

# AntiLinkable

## Object Hierarchy:

## Description:

public interface AntiLinkable : Persona

Interface for Persona subclasses from backends which support storage of, anti- linking data.

Anti-links are stored as a set of Persona.uids with each Persona (A), specifying that A must not be linked into an Individual with any of the personas in its anti-links set.

## Since:

0.7.3

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract Set<string> anti_links { get; set; }
  UIDs of anti-linked Personas.

### Methods:

- public async void add_anti_links (Set<Persona> other_personas) throws PropertyError
  Add anti-links to other personas.
- public async void add_global_anti_link () throws PropertyError
  Prevent persona from being linked with any other personas
- public virtual async void change_anti_links (Set<string> anti_links) throws PropertyError
  Change the Persona 's set of anti-links.
- public bool has_anti_link_with_persona (Persona other_persona)
  Check for an anti-link with another persona.
- public bool has_global_anti_link ()
  Check if the persona has a global anti link.
- public async void remove_anti_links (Set<Persona> other_personas) throws PropertyError
  Remove anti-links to other personas.
- public async void remove_global_anti_link () throws PropertyError
  Allow persona to be linked with other personas

### Inherited Members:

All known members inherited from class Folks.Persona

- LinkablePropertyCallback
- build_uid
- display_id
- iid

- individual
- is_user
- linkable_properties
- linkable_property_to_links

- split_uid
- store
- uid
- writeable_properties

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref